Declare @UserSIDs as varchar(Max) = 
'16777219'

SELECT distinct
 CS.Name0, 
 CS.UserName0, 
 CASE 
  when (sum(case when UCS.status=2 then 1 else 0 end))>0 
   then ('Needs '+(cast(sum(case when UCS.status=2 then 1 else 0 end)
   as varchar(10))+ ' Patches')) 
  else 'Good Client' 
 end as 'Status', 
 WS.lasthwscan as 'Last HW scan' 
FROM 
 fn_rbac_UpdateComplianceStatus(@UserSIDs) as UCS 
 LEFT OUTER JOIN fn_rbac_GS_COMPUTER_SYSTEM(@UserSIDs) as CS 
  on CS.ResourceID = UCS.ResourceID 
 JOIN fn_rbac_CICategories_All(@UserSIDs) as catall2 
  on catall2.CI_ID = UCS.CI_ID 
 JOIN fn_rbac_CategoryInfo(1033,@UserSIDs) as catinfo2 
  on catall2.CategoryInstance_UniqueID = catinfo2.CategoryInstance_UniqueID 
  and catinfo2.CategoryTypeName = 'UpdateClassification' 
 LEFT JOIN fn_rbac_GS_WORKSTATION_STATUS(@UserSIDs) as WS 
  on ws.resourceid = CS.ResourceID 
 LEFT JOIN fn_rbac_FullCollectionMembership(@UserSIDs) as FCM 
  on FCM.ResourceID = CS.ResourceID 
WHERE 
 UCS.Status = '2' 
 and FCM.CollectionID = 'CM600016' 
GROUP BY 
 CS.Name0, 
 CS.UserName0, 
 WS.lasthwscan, 
 FCM.CollectionID 
ORDER BY 
 CS.Name0, 
      CS.UserName0
